Package org.eclipse.birt.chart.model.attribute

# Interface ActionValue

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `AccessibilityValue`, `CallBackValue`, `MultiURLValues`, `ScriptValue`, `SeriesValue`, `TooltipValue`, `URLValue`

All Known Implementing Classes:
  `AccessibilityValueImpl`, `ActionValueImpl`, `CallBackValueImpl`, `MultiURLValuesImpl`, `ScriptValueImpl`, `SeriesValueImpl`, `TooltipValueImpl`, `URLValueImpl`

public interface ActionValue extends IChartObject
A representation of the model object 'Action Value'. This type defines the value of an action.

See Also:
  - `AttributePackage.getActionValue()`

## Method Summary

Modifier and Type
Method
Description
`ActionValue`
`copyInstance()`
`Label`
`getLabel()`
Returns the value of the 'Label' containment reference.
`void`
`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getLabel

Label getLabel()
Returns the value of the 'Label' containment reference.

If the meaning of the 'Label' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Label' containment reference.
See Also:
  - `setLabel(Label)`
  - `AttributePackage.getActionValue_Label()`

### setLabel

void setLabel(Label value)
Sets the value of the '`Label`' containment reference.

Parameters:
  `value` - the new value of the 'Label' containment reference.
See Also:
  - `getLabel()`

### copyInstance

ActionValue copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`